Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.logparse
Class SimpleLogParser

    java.lang.Object
      org.hyperic.hq.product.logparse.BaseLogParser
          org.hyperic.hq.product.logparse.SimpleLogParser

All Implemented Interfaces:
  LogParseInterface

    public class SimpleLogParser

extends BaseLogParser

Field Summary

Fields inherited from class org.hyperic.hq.product.logparse.BaseLogParser
`id, log, StatusDontLog, svcType, timeMultiplier, URLDontLog`

Constructor Summary
`SimpleLogParser()`

Method Summary
`static SimpleLogParser` | `getInstance()`
`void` | `initConfig(double timeMultiplier, String regex)`
`RtStat` | `parseLine(String current)`
`void` | `postFileParse(File f)`

Methods inherited from class org.hyperic.hq.product.logparse.BaseLogParser
`DontLog, DontLog, getTimeMultiplier, parseLog, parseLog, parseLog, parseLog, parseLog, setTimeMultiplier, urlDontLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLogParser

    public SimpleLogParser()

Method Detail

### getInstance

    public static SimpleLogParser getInstance()

### initConfig

    public void initConfig(double timeMultiplier,
                           String regex)

  Specified by:
    `initConfig` in interface `LogParseInterface`
  Specified by:
    `initConfig` in class `BaseLogParser`

### parseLine

    public RtStat parseLine(String current)

### postFileParse

    public void postFileParse(File f)
                       throws IOException

  Specified by:
    `postFileParse` in interface `LogParseInterface`
  Overrides:
    `postFileParse` in class `BaseLogParser`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.